services:
  Nordmind\Mailer\Infrastructure\Mailer\:
    autowire: true
    resource: '../../src/nordmind-mailer/Infrastructure/Mailer/*'

  Nordmind\Mailer\Application\Mailer\Cli\:
    autowire: true
    resource: '../../src/nordmind-mailer/Application/Mailer/Cli/*'
    tags: ['console.command']

  Nordmind\Mailer\Infrastructure\Mailer\DoctrineTemplates:
    autowire: true

  Nordmind\Mailer\Application\Mailer\TemplateRenderer:
    autowire: true
    arguments:
      $templateEngine: '@templating.engine.twig'
      $staticTemplateDirectory: '%mailer_templates_directory%'

  Nordmind\Mailer\Application\Mailer\Mailer:
    autowire: true
    arguments:
      $renderer: '@Nordmind\Mailer\Application\Mailer\TemplateRenderer'

  Nordmind\Mailer\Application\Mailer\Templates:
    alias: Nordmind\Mailer\Infrastructure\Mailer\DoctrineTemplates
